#include <iostream>
#include <string>
#include <cstdio>

using namespace std;

int main()
{
    int a,b,c, maxn;
    string n1,n2,n3, k;
    cin >> a >> b >> c;
    n1 = to_string(a);
    n2 = to_string(b);
    n3 = to_string(c);
    k = n1 + n2 + n3;
    maxn = stoi(k);
    k = n3 + n2 + n1;;
    maxn = max(maxn, stoi(k));
    k = n2 + n1 + n3;
    maxn = max(maxn, stoi(k));
    k = n2 + n3 + n1;
    maxn = max(maxn, stoi(k));
    k = n3 + n1 + n2;
    maxn = max(maxn, stoi(k));
    printf("%d", maxn);
    return 0;
}